Subject: bug#47717: guix becomes unresponsive while building the 'vigra' package

From: bo0od <[email-masked]>
Date: Wed, 14 Apr 2021 16:06:47 +0000

> The ideal situation is that substitutes for these packages are
 > available, and you don't have to build them.

Does that mean almost every user who gonna use guix system which will 
eventually fall into the same issue you gonna tell oh sorry default 
doesnt help do 123? we need solutions for the future, solutions for the 
coming users not workarounds.

 > In general, if you want to compile software, there will be some programs
 > that require a lot of computer to compile. Not even 10 GB RAM will be
 > enough in all cases.

Im doing what guix default doing, didnt play with anything and if the 
default may require more than 10GB of rams this distro wont reach the 
sunlight for the end, Because even if it reaches he gonna delete it 
later due to issues similar to this one.

Check this:

https://forums.whonix.org/t/constrained-system-resources-program-starter-wrapper/10914

maybe something like this if guix devs done will solve alot of headaches.

Leo Famulari:
> On Tue, Apr 13, 2021 at 11:03:50AM +0000, bo0od wrote:
>> 4GB DDR3 rams, i7 4th generation , 20GB for Guix about 9GB swap
>>
>> If this is not enough to install simple common used packages like
>> libreoffice or onionshare..etc then this is big issue if guix considered to
>> be targeting average users.
>>
>> In Qubes distro 4GB is worthless/nothing the minimum is like 8GB and above.
>> If guix is the same thing then no problem but for surely it need to be
>> mentioned somewhere obvious(i didnt find it anywhere saying that).
> 
> The ideal situation is that substitutes for these packages are
> available, and you don't have to build them.
> 
> Using current Guix master branch, I receive a substitute for
> libreoffice. Maybe you just need to update, with `guix pull`?
> 
> In general, if you want to compile software, there will be some programs
> that require a lot of computer to compile. Not even 10 GB RAM will be
> enough in all cases.
>